/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.cnr.iasi.giant.util;

import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Fabio Cumbo
 * @info GIANT
 * @version v1.0
 * @organization IASI-CNR : Istituto di Analisi dei Sistemi ed Informatica 
 *                  "Antonio Ruberti" - Consiglio Nazionale delle Ricerche
 * 
 */
public class RegionsReportModel extends DefaultTableModel {
    
    public RegionsReportModel(Object[][] data, String[] header) {
        super(data, header);
    }
    
    @Override
    public Class getColumnClass(int columnIndex) {
        if (columnIndex == 1 || columnIndex == 2)
            return java.lang.Double.class;
        return java.lang.String.class;
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return false;
    }
    
}
